%define	name	dpsftp
%define	version	0.6.1
%define	release	4mdk
%define	prefix	/usr

Summary:	DPS-FTP is a powerful FTP client for GNOME
Name:		%{name}
Version:	%{version}
Release:	%{release}
Prefix:		%{prefix}
Copyright:	GPL
Group:		Networking/File transfer
BuildRequires: XFree86-devel gnome-libs-devel audiofile-devel dpsftplib-devel esound-devel imlib-devel libglade-devel libxml-devel zlib-devel
URL:		http://dpsftp.sourceforge.net
Source:		%{name}-%{version}a.tar.bz2
Source1:	dpsftp
Source2: %{name}-large.xpm.bz2
Source3: %{name}.xpm.bz2
Source4: %{name}-mini.xpm.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	libglade >= 0.11 
Buildrequires: dpsftplib dpsftplib-devel

%description
DPS-FTP is a powerful FTP client for GNOME. Its interface is based
on that of Bulletproof FTP.

%prep
%setup -q

%build
%configure --prefix=%{prefix}
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"
make

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

install -m 755 -d $RPM_BUILD_ROOT/usr/{lib,lib/menu,share,share/icons}
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/usr/lib/menu/

mkdir -p $RPM_BUILD_ROOT%{_iconsdir}
mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
mkdir -p $RPM_BUILD_ROOT%{_miconsdir}

bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.xpm
bzcat %{SOURCE3} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm
bzcat %{SOURCE4} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.xpm

%clean
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README THANKS TODO
%{prefix}/bin/dpsftp
%{prefix}/share/dpsftp
%{prefix}/share/gnome/apps/Internet/dpsftp.desktop
%{prefix}/share/gnome/help/dpsftp
%{prefix}/share/pixmaps/dpsftp
%{_menudir}/%{name}
%{_iconsdir}/*.xpm
%{_iconsdir}/mini/*.xpm
%{_iconsdir}/large/*.xpm

%changelog
* Fri Oct  6 2000 Warly <warly@mandrakesoft.com> 0.6.1-4mdk
- fix icons

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.6.1-3mdk
- automatically added BuildRequires

* Sat Mar 25 2000 Warly <warly@mandrakesoft.com> 0.6.1-2mdk
- new group: Networking/Other/File transfer

* Fri Mar 03 2000 Lenny Cartier <lenny@mandrakesoft.com>
- mandrake build

* Thu Jan 20 2000 Ryan Weaver <ryanw@infohwy.com>
  [dpsftp-0.6.1-3]
- Actually requires libglade >= 0.11.
- Rebuilt after updating libglade from RedHat RawHide.

* Mon Jan 10 2000 Ryan Weaver <ryanw@infohwy.com>
  [dpsftp-0.6.1-2]
- I apologize to Eric Gillespie, Jr. <epg@pobox.com> for not informing
  him of the missing file before releasing the rpm.
- Made rpm relocatable

* Mon Jan 10 2000 Ryan Weaver <ryanw@infohwy.com>
- Including dpsftp.glade from 0.6.0 because it's missing from 0.6.1 tar.

  [dpsftp-0.6.1-1]
- Exiting (as opposed to closing all windows individually) now works.
- New way to change to the parent directory: instead of an item in the clist,
  there is a button next to the File Entry box.
- Native language support has finally been added!

* Tue Dec  7 1999 Ryan Weaver <ryanw@infohwy.com>
  [dpsftp-0.6.0-2]
- Fixed some incorrectness in RPM header

* Mon Nov 29 1999 Ryan Weaver <ryanw@infohwy.com>
- Added patch to and #include <errno.h> to main.c so dpsftp
  would compile.

  [dpsftp-0.6.0-1]
- The entire interface is now done in Glade.
- Now fully multi-threaded.
- Multiple windows are now allowed. Each connection has its own thread;
  the queue still has its own separate thread.
- Site Manager UI has been improved.
- Connection entries at the top have been split into two side-by-side
  toolbars.
- If only a user name is typed, the other fields are automatically filled
  in for an anonymous connection.
- Symbolic link handling is a little broken now. To be fixed in the next
  release.
- Progress bars are now used to indicate any activity that could take a
  while (specifically, FTP commands).
- NOOP command is used to keep idle connections alive.
- Previously, commands were being sent that didn't need to be sent, like
  changing type to current type, or changing directory to current
  directory. This has been fixed.

* Wed Nov 24 1999 Ryan Weaver <ryanw@infohwy.com>
  [dpsftp-0.5.4-1]
- ReWrote spec file to fix errors with running program.
- Submitted patch to author for dpsftp.spec.in

